diff --git a/MAC/APL/Test/beamtest b/MAC/APL/Test/beamtest
new file mode 100755
index 0000000000000000000000000000000000000000..e8673387642e8b12bb9102efb5f5400f9930f08f
--- /dev/null
+++ b/MAC/APL/Test/beamtest
@@ -0,0 +1,24 @@
+#!/bin/sh
+binpath=/opt/lofar/bin
+
+killall beamctl
+sleep 10
+declare mpos
+declare blidx
+declare blidx2
+declare -i N=216
+for ((idx = 0; idx < $N; idx++)) do
+    echo $idx
+    mpos=$(eval "echo \"($idx / $N)\" | bc -l")
+    blidx=$(eval "echo \"$idx\" | bc")
+    blidx2=$(eval "echo \"$blidx+8\" | bc")
+    echo $blidx
+    eval "$binpath/beamctl --array=CS1-TEST --rcumode=3 --rcus=0:95 --subbands=256 --beamlets=$blidx --direction=$mpos,0,LOFAR_LMN &"
+#    echo "recording snapshot $idx"
+#    $binpath/rspctl --statistics=beamlet --select=0,1 --integration=1 --duration=1 --directory=/home/lofartest/sjw/beamexperiment
+#   killall beamctl
+done
+
+# set WG to 40MHz
+$binpath/rspctl --wg=40e6
+
diff --git a/MAC/APL/Test/monitor b/MAC/APL/Test/monitor
new file mode 100755
index 0000000000000000000000000000000000000000..4bc8bf0ec4ef61da91c85809a2f941d5778397ba
--- /dev/null
+++ b/MAC/APL/Test/monitor
@@ -0,0 +1,9 @@
+#!/bin/sh
+binpath=/opt/lofar/bin
+for ((idx = 0; idx < 300; idx++)) do
+    echo #idx
+    $binpath/rspctl --xcstatistics --integration=60 --duration=60
+    cp *.dat acm.dat
+    mv *.dat monitordata
+done
+
diff --git a/MAC/APL/Test/startall.sh b/MAC/APL/Test/startall.sh
new file mode 100755
index 0000000000000000000000000000000000000000..c43fd683cee3820d21d41afd742cf5cb86e0d083
--- /dev/null
+++ b/MAC/APL/Test/startall.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+basepath=/home/lofartest/wierenga/LOFAR/installed/gnunew_opt
+#basepath=/opt/lofar
+
+if [ "$USER" != "root" ]; then
+	echo `basename $0` must be run as root
+	exit 1
+fi
+
+mkdir -p $basepath/var/log
+cd $basepath/var/log
+
+# list of all services
+services="amcserver ServiceBroker RSPDriver" # CalServer BeamServer
+
+# kill old services
+for service in $services; do
+	echo -n Killing $service...
+	killall $service
+	echo done
+done
+
+echo Waiting for 5 seconds...
+sleep 5
+
+# start new services
+for service in $services; do
+	echo -n Starting $service...
+	nohup ../../bin/$service > ../../var/log/$service_out.log 2>&1 &
+	sleep 1 # wait for service to start listening for connections
+	echo done
+done
+
diff --git a/MAC/APL/Test/tdmon.sh b/MAC/APL/Test/tdmon.sh
new file mode 100755
index 0000000000000000000000000000000000000000..0ec8777a61da7ea7f6f50bf6775e054696041095
--- /dev/null
+++ b/MAC/APL/Test/tdmon.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+logfile=`date -u +%Y-%m-%d-%H-%M-%S`_tdmon.log
+echo > $logfile
+while (true); do
+	date -u >> $logfile
+	rspctl --tdstatus 2> /dev/null | fgrep -v controlling >> $logfile
+	sleep 1
+done
diff --git a/MAC/APL/Test/wgtest b/MAC/APL/Test/wgtest
new file mode 100755
index 0000000000000000000000000000000000000000..873267f96ff7cafeb52c9c257b3a1fcc087e5dcf
--- /dev/null
+++ b/MAC/APL/Test/wgtest
@@ -0,0 +1,11 @@
+#!/bin/sh
+binpath=/opt/lofar/bin
+declare phaserad
+declare startidx
+declare stopidx
+for ((idx = 0; idx < 96; idx++)) do
+    phaserad=$(eval "echo \"($idx * 2 * 3.141592654) / 96\" | bc -l")
+    ampl=$(eval "echo \"$idx/(96*2)\" | bc -l")
+    eval "$binpath/rspctl --wg=40e6 --select=$idx --ampli=$ampl --phase=$phaserad"
+done
+
diff --git a/MAC/APL/Test/xcscan b/MAC/APL/Test/xcscan
new file mode 100755
index 0000000000000000000000000000000000000000..143849b622cfc5ad69a7f051fc876974ecff03e8
--- /dev/null
+++ b/MAC/APL/Test/xcscan
@@ -0,0 +1,6 @@
+for ((idx = 0; idx < 512; idx++)) do
+   echo $idx
+   eval "rspctl --xcsubband=$idx"
+   eval "rspctl --xcstatistics --integration=4 --duration=4 --directory=common4s"
+done
+